Get vulnerability by ID with similar occurrences
curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/{vulnerabilityId}/similarimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/{vulnerabilityId}/similar"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/{vulnerabilityId}/similar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vulnerabilityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similarOccurrences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "src/controllers/user.ts",
"vulnerableStartLine": 42,
"vulnerableEndLine": 50,
"currentState": "to_verify",
"currentSeverity": "high",
"currentPriority": "urgent",
"createdAt": "<string>",
"autofixRecords": [
"<string>"
]
}
],
"totalSimilar": 5,
"sast": {},
"iac": {},
"sca": {},
"cicd": {},
"secret": {},
"isProjectParsed": true
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Manage
Get vulnerability by ID with similar occurrences
Returns a vulnerability and all similar occurrences (same rule for SAST/IAC/CICD/Secret, same CVE for SCA).
GET
/
project
/
{projectId}
/
results
/
{vulnerabilityId}
/
similar
Get vulnerability by ID with similar occurrences
Query Parameters
Optional filter to narrow similar occurrences by path
Response
Vulnerability with similar occurrences
Project ID
Vulnerability ID
Similar occurrences
Show child attributes
Show child attributes
Total number of similar occurrences
Example:
5
SAST vulnerability if applicable
IAC vulnerability if applicable
SCA vulnerability if applicable
CICD vulnerability if applicable
Secret vulnerability if applicable
Whether project has been parsed